import owlift
import cv2
import numpy as np

ows = owlift.devices()
ow = ows[0]
wx, wy = ow.frame_size

winName = 'Thermography'
cv2.namedWindow(winName, cv2.WINDOW_NORMAL)
cv2.resizeWindow(winName, wx * 4, wy * 4)

mask = np.zeros((wy, wx))
wx0 = int(wx / 4)
wy0 = int(wy / 4)
mask[wy0 * 2:wy0 * 3 + 1, wx0 * 2:wx0 * 3 + 1] = 1
ow.agc_roi_mask = mask

fc0 = 0
ow.capture_start()

while ow.alive:
    fc = ow.frame_counter
    if fc == fc0:
        c = cv2.waitKey(30)
        if c == 27:
            break
        continue

    fc0 = fc
    temp, img, meta = ow.frame

    cv2.imshow(winName, img)

