import owlift
import sys

ows = owlift.devices()
ow = ows[0]

if ow.product_id < 0x2301:
    print("This device does not support gain mode.")
    sys.exit(1)

gain_mode = ow.command_get(0x0200, 0x48, 2)
# gain_mode is numpy.ndarray
print("current gain_mode = 0x{:02X}{:02X}".format(gain_mode[1], gain_mode[0]))
gain_mode[0] = 0
ow.command_set(0x0200, 0x48, gain_mode)
print("new gain_mode     = 0x{:02X}{:02X}".format(gain_mode[1], gain_mode[0]))

