import owlift
import cv2
import numpy as np

ows = owlift.devices()
ow = ows[0]
wx, wy = ow.frame_size

winName = 'Thermography'
cv2.namedWindow(winName, cv2.WINDOW_NORMAL)
cv2.resizeWindow(winName, wx * 4, wy * 4)

fc0 = 0
ow.capture_start()
ow.image_enabled = False

temps = []
moving_range = 10

while ow.alive:
    fc = ow.frame_counter
    if fc == fc0:
        c = cv2.waitKey(10)
        if c == 27:
            break
        continue

    fc0 = fc
    temp0, img, meta = ow.frame
    temps.append(np.copy(temp0)) 

    if len(temps) < moving_range:
        continue

    avg = temps.pop(0)

    for temp in temps:
        avg += temp

    avg /= moving_range
    img = ow.temp_to_image(avg)

    cv2.imshow(winName, img)

